## GdaHanderString GdaHanderString — Default handler for string values |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaDataHandler * | gda_handler_string_new ()
GdaDataHandler * | gda_handler_string_new_with_provider ()

## Types and Values

struct | GdaHandlerString
struct | GdaHandlerStringClass
| GdaHandlerStringPriv

## Object Hierarchy

        GObject
        ╰── GdaHandlerString

## Implemented Interfaces

GdaHandlerString implements GdaDataHandler.

## Description

You should normally not need to use this API, refer to the GdaDataHandler interface documentation for more information.

## Functions

### gda_handler_string_new ()

    GdaDataHandler *
    gda_handler_string_new (void);

Creates a data handler for strings

#### Returns

the new object.

[transfer full]

### gda_handler_string_new_with_provider ()

    GdaDataHandler *
    gda_handler_string_new_with_provider (GdaServerProvider *prov,
                                          GdaConnection *cnc);

Creates a data handler for strings, which will use some specific methods implemented by the `prov` object (possibly also `cnc` ).

#### Parameters

prov | a GdaServerProvider object |
cnc | a GdaConnection object, or `NULL`. | [allow-none]

#### Returns

the new object.

[transfer full]

## Types and Values

### struct GdaHandlerString

    struct GdaHandlerString;

### struct GdaHandlerStringClass

    struct GdaHandlerStringClass {
    	GObjectClass           parent_class;
    };

### GdaHandlerStringPriv

    typedef struct _GdaHandlerStringPriv GdaHandlerStringPriv;

## See Also

GdaDataHandler interface